using System;

internal sealed class Delegate57 : MulticastDelegate
{
	public extern void Invoke(object object_0, bool bool_0);

	public static void smethod_0(object object_0, bool bool_0, Delegate57 delegate57_1)
	{
		delegate57_1(object_0, bool_0);
	}

	public extern Delegate57(object object_0, IntPtr intptr_0);

	static Delegate57()
	{
		Class10.smethod_13(typeof(Delegate57).TypeHandle);
	}

	internal static Delegate57 delegate57_0;
}
